libnvme(2)

NAME
struct nbft_info - The parsed NBFT table data.

SYNOPSIS
struct nbft_info {
char *filename;
__u8 *raw_nbft;
ssize_t raw_nbft_size;
struct nbft_info_host host;
struct nbft_info_hfi **hfi_list;
struct nbft_info_security **security_list;
struct nbft_info_discovery **discovery_list;
struct nbft_info_subsystem_ns **subsystem_ns_list;
};

Members

filename
    Path to the NBFT table.

raw_nbft
    The original NBFT table contents.

raw_nbft_size
    Size of raw_nbft.

host
    The Host Descriptor (should match other NBFTs).

hfi_list
    The HFI Descriptor List (null-terminated array).

security_list
    The Security Profile Descriptor List (null-terminated array).

discovery_list
    The Discovery Descriptor List (null-terminated array).

subsystem_ns_list
    The SSNS Descriptor List (null-terminated array).